API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/notifications/read-all

ark.mark_all_notifications_read

Marks all unread notifications for the connected user as read.

Availability
Expanded preview
Scopes
notifications:write
ARK permissions
None
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

None.

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/notifications/read-all' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Marked notifications

objectstringrequired

one of: api_response

okbooleanrequired

one of: true

api_versionstringrequired

one of: 2026-05-31

request_idstringrequired
dataobjectrequired
data.countintegerrequired

min: 0

data.readAtstringrequired

format: date-time

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied